classification
Title: PEP 3121, 384 Refactoring applied to time module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, belopolsky, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 21:36 by Robin.Schreiber, last changed 2020-06-22 09:36 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
time_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 21:36
Messages (2)
msg168419 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 21:36
Changes proposed in PEP3121 and PEP384 have now been applied to the time module!
msg372078 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-22 09:36
Fixed by:

commit bd409bb5b78e7ccac5fcda9ab4cec770552f3090
Author: Paulo Henrique Silva <ph.silva@carta.com>
Date:   Mon Mar 23 15:58:23 2020 -0300

    bpo-1635741: Port time module to multiphase initialization (PEP 489) (GH-19107)
History
Date User Action Args
2020-06-22 09:36:05vstinnersetstatus: open -> closed

versions: + Python 3.10, - Python 3.4
nosy: + vstinner

messages: + msg372078
resolution: fixed
stage: resolved
2014-06-29 23:20:02belopolskysetassignee: belopolsky ->
2012-11-08 13:25:05Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-27 03:30:27belopolskysetassignee: belopolsky

nosy: + belopolsky
2012-08-16 21:36:08Robin.Schreibercreate